import request from '@/utils/request'

// 查询咨询标签列表
export function listMARK(query) {
  return request({
    url: '/MARK/list',
    method: 'get',
    params: query
  })
}

// 查询咨询标签所有列表
export function listAllMARK(query) {
  return request({
    url: '/MARK/listAll',
    method: 'get',
    params: query
  })
}

// 查询咨询标签详细
export function getMARK(id) {
  return request({
    url: '/MARK/getInfo/' + id,
    method: 'get'
  })
}

// 新增咨询标签
export function addMARK(data) {
  return request({
    url: '/MARK/add',
    method: 'post',
    data: data
  })
}

// 修改咨询标签
export function updateMARK(data) {
  return request({
    url: '/MARK/edit',
    method: 'post',
    data: data
  })
}

// 删除咨询标签
export function delMARK(id) {
  return request({
    url: '/MARK/remove/' + id,
    method: 'get'
  })
}
